JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const esim = await client.esims.retrieve('550e8400-e29b-41d4-a716-446655440000');
console.log(esim.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
esim = client.esims.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
)
print(esim.data)curl --request GET \
--url https://api.mobilerun.ai/v1/numbers/esims/{id} \
--header 'Authorization: Bearer <token>'
{
"data": {
"carrierName": "<string>",
"countryCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deviceUuid": "<string>",
"iccid": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"msisdn": "<string>",
"name": "<string>",
"networkStatus": "degraded",
"source": "stocked",
"status": "in_stock",
"subscriptionId": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"cancellationScheduled": true,
"checkoutUrl": "<string>",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"exempt": true,
"rentStatus": "not_applicable"
}
}{
"error": "<string>"
}{
"message": "<string>",
"reason": "out_of_stock",
"success": false
}Esims
Get physical eSIM by id
Retrieves a single physical eSIM.
GET
/
numbers
/
esims
/
{id}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const esim = await client.esims.retrieve('550e8400-e29b-41d4-a716-446655440000');
console.log(esim.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
esim = client.esims.retrieve(
"550e8400-e29b-41d4-a716-446655440000",
)
print(esim.data)Was this page helpful?
⌘I